function k = menu(s0,s1,s2,s3,s4,s5,s6,s7,s8,s9,s10,s11,s12,s13,s14,s15,s16,...
            s17,s18,s19,s20,s21,s22,s23,s24,s25,s26,s27,s28,s29,s30,s31,s32);
%MENU	Generate a menu of choices for user input.
%	K = MENU('Choose a color','Red','Blue','Green') displays on
%	the screen:
%
%	----- Choose a color -----
%
%	   1) Red
%	   2) Blue
%	   3) Green
%
%	   Select a menu number: 
%
%	The number entered by the user in response to the prompt is
%	returned.  On machines that support it, the local menu system
%	is used.  The maximum number of menu items is 32.
%
%	See also UIMENU.

%	J.N. Little 4-21-87, revised 4-13-92 by LS.
%	Copyright (c) 1984-94 by The MathWorks, Inc.
	while 1,
		disp(' ')
		disp(['----- ',s0,' -----'])
		disp(' ')
		for n=1:(nargin-1)
		    disp(['      ',int2str(n),') ',eval(['s',int2str(n)])])
		end
		disp(' ')
		k = input('Select a menu number: ');
		if isempty(k), k = -1; end;
		if (k < 1) | (k > nargin - 1) | (~isreal(k)) | (isnan(k)) | isinf(k),
			disp(' ')
			disp('Selection out of range. Try again.')
		else
			return
		end
	end
